%define anolis_release 2
%global pypi_name click

Name:           python-%{pypi_name}
Version:        8.1.3
Release:        %{anolis_release}%{?dist}
Summary:        Simple wrapper around optparse for powerful command line utilities

License:        BSD
URL:            https://github.com/mitsuhiko/click
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

# Fix test failures with pytest 7.3.0
# From https://github.com/pallets/click/issues/2489#issuecomment-1504160617 by Ran Benita 
Patch:          pytest-7.3.patch

BuildArch:      noarch

%global _description \
click is a Python package for creating beautiful command line\
interfaces in a composable way with as little amount of code as necessary.\
It's the "Command Line Interface Creation Kit".  It's highly configurable but\
comes with good defaults out of the box.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Use test dependencies without version locks
sed -i 's|requirements/tests.txt|requirements/tests.in|' tox.ini

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %pyproject_files
%license LICENSE.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8.1.3-2
- Rebuild with python3.11

* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 8.1.3-1
- Import package for anolis 23
